优化auto-prefixer-loader配置

2017-01-09 14:08:34来源:segmentfault作者:Larry_人点击

优化auto-prefixer-loader配置

之前一直使用auto-prefixer-loader的默认配置,即autoprefixer-loader?browsers=last 2 version,一直没深究为何要这么配置,直到在开发WEBAPP的项目中,使用了flex语法,结果发现编译出来的有-ms-flex和-moz-flex,我期望的是只用-webkit-就行了,不用搞这么多,于是赶紧去官网找资料。。。


查阅了资料后发现,autoprefixer工具使用Browserslist来匹配符合条件的浏览器,Browserslist提供了一个网站browserl.ist来帮助我们找到期望的浏览器版本,上去试了试,发现搜索的关键字要注意下,比如如果要搜索Android Browser > 4.2实际上输入Android > 4.2就可以了,Android Browser > 4.2反而搜不到。。。




最后我把我的auto-prefixer-loader配置修改成如下


`autoprefixer?{browsers:["iOS >= 7","Chrome >= 45","Android >= 4"]}`

其实应该使用postCSS,不过一直没时间学习,有空我再补上。

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台